List self-billed e-invoices
https://api.light.inc/v1/einvoicing/self-billed-einvoices
Returns a paginated list of the self-billed e-invoices of the company, newest first
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Query parameters
-
sortstringSort string in the format
field:direction. To provide multiple sort fields, separate them with commas.Available directions:
asc,desc.Available fields:
createdAt. -
filterstringFilter string in the format
field:operator:value. To provide multiple filters, separate them with commas.Available operators:
eq,ne,in,not_in,gt,gte,lt,lte.- For
inandnot_inoperators, provide multiple values separated by the pipe character (|).
Available fields:
status. - For
-
searchTermstringSearch term to filter results by. Performs a case-insensitive partial match across searchable fields.
-
limitinteger · int32Maximum number of items to return. Default is 50, maximum is 200.
-
cursorstringThe cursor position to start returning results from. To opt-in into cursor-based pagination, provide
0for the initial request. For subsequent requests, usenextCursorandprevCursorfrom the previous response to navigate. Cursor values are opaque and should not be constructed manually.
Response
-
recordsarray of objectList of records for the current page
-
idstring · uuid -
companyEntityIdstring · uuid -
accountingDocumentIdstring · uuidThe bill the e-invoice was created for. Null once the bill is deleted
-
accountingDocumentTypestring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
APARBPCCCNCTDEFXJEYC -
linkedSelfBilledEInvoiceIdstring · uuid -
typestring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
SELF_BILLED_CREDIT_NOTESELF_BILLED_INVOICE -
networkstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
FINVOICEFR_PAMYDATANEMHANDELPEPPOLPORTUGUESE_TAX_REPORTINGSDIVERIFACTU -
selfBilledEInvoiceNumberstring -
issueDatestring · dateThe date on the self-billed e-invoice
-
deadlinestring · dateThe last day to send the e-invoice to the network
-
documentNumberstringThe number on the supplier's document
-
documentDatestring · dateThe date of the supplier's document
-
currencystring -
amountinteger · int64Total amount in cents, expressed in the invoice currency.
-
netAmountinteger · int64Net amount in cents, expressed in the invoice currency.
-
taxAmountinteger · int64Tax amount in cents, expressed in the invoice currency.
-
buyerNamestring -
buyerVatNumberstring -
supplierNamestring -
supplierVatNumberstring -
statusstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACCEPTEDARCHIVEDDRAFTFAILEDSUBMITTED -
failureContextobjectFailure context when vendor onboarding fails.
-
namestringThe error name
-
typestringThe error type
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
BAD_REQUESTUNAUTHORIZEDFORBIDDENNOT_FOUNDCONFLICTUNPROCESSABLE_CONTENT -
errorsarray of objectList of errors providing details about what went wrong
-
typestringA string code identifying the error type
-
messagestringA human-readable message providing more details about the error
-
patharray of stringOptional path of the error when the error is for a specific field. Used mostly on BAD_REQUEST errors, that path will match the field name on the request object
-
contextobjectOptional context providing additional information about the error. This can include any relevant data that might help in understanding or resolving the error
-
-
-
einvoiceIdstring -
submittedAtstring · date-time -
createdAtstring · date-time -
sdiTdCodestringThe SDI document type code. Only set on the SDI network
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
TD16TD17TD18TD19TD20TD21TD22TD23TD28
-
-
hasMorebooleanBoolean flag indicating if there are more records available
-
nextCursorstringCursor for fetching the next page
-
prevCursorstringCursor for fetching the previous page